Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Account.Property

    java.lang.Object
      java.lang.Enum<Account.Property>
          com.skype.api.Account.Property

All Implemented Interfaces:
  EnumConverting, PropertyEnumConverting, java.io.Serializable, java.lang.Comparable<Account.Property>

Enclosing class:
  Account

    public static enum Account.Property

extends java.lang.Enum<Account.Property>
implements PropertyEnumConverting

Properties of the Account class

Enum Constant Summary
`P_ABOUT`
`P_AVAILABILITY`
`P_AVATAR_IMAGE`
`P_AVATAR_POLICY`
`P_AVATAR_TIMESTAMP`
`P_BIRTHDAY`
`P_BUDDY_COUNT_POLICY`
`P_CBL_SYNC_STATUS`
`P_CHAT_POLICY`
`P_CITY`
`P_COMMIT_STATUS`
`P_COUNTRY`
`P_EMAILS`
`P_FULL_NAME`
`P_GENDER`
`P_HOMEPAGE`
`P_LANGUAGES`
`P_LOGOUT_REASON`
`P_MOOD_TEXT`
`P_MOOD_TIMESTAMP`
`P_NROF_AUTHED_BUDDIES`
`P_OFFLINE_CALL_FORWARD`
`P_OTHER_INSTANCES_COUNT`
`P_PARTNER_OPTED_OUT`
`P_PHONE_HOME`
`P_PHONE_MOBILE`
`P_PHONE_NUMBERS_POLICY`
`P_PHONE_OFFICE`
`P_PROFILE_TIMESTAMP`
`P_PROVINCE`
`P_PSTN_CALL_POLICY`
`P_PWD_CHANGE_STATUS`
`P_REGISTRATION_TIMESTAMP`
`P_RICH_MOOD_TEXT`
`P_SERVICE_PROVIDER_INFO`
`P_SKYPE_CALL_POLICY`
`P_SKYPE_NAME`
`P_SKYPEIN_NUMBERS`
`P_SKYPEOUT_BALANCE`
`P_SKYPEOUT_BALANCE_CURRENCY`
`P_SKYPEOUT_PRECISION`
`P_STATUS`
`P_SUGGESTED_SKYPE_NAME`
`P_TIMEZONE`
`P_TIMEZONE_POLICY`
`P_UNKNOWN`
`P_VOICEMAIL_POLICY`
`P_WEB_PRESENCE_POLICY`

Field Summary
`static Account.Property[]` | `mget_profile_mreq`
`static int` | `P_ABOUT_VALUE`
`static int` | `P_AVAILABILITY_VALUE`
`static int` | `P_AVATAR_IMAGE_VALUE`
`static int` | `P_AVATAR_POLICY_VALUE`
`static int` | `P_AVATAR_TIMESTAMP_VALUE`
`static int` | `P_BIRTHDAY_VALUE`
`static int` | `P_BUDDY_COUNT_POLICY_VALUE`
`static int` | `P_CBL_SYNC_STATUS_VALUE`
`static int` | `P_CHAT_POLICY_VALUE`
`static int` | `P_CITY_VALUE`
`static int` | `P_COMMIT_STATUS_VALUE`
`static int` | `P_COUNTRY_VALUE`
`static int` | `P_EMAILS_VALUE`
`static int` | `P_FULL_NAME_VALUE`
`static int` | `P_GENDER_VALUE`
`static int` | `P_HOMEPAGE_VALUE`
`static int` | `P_LANGUAGES_VALUE`
`static int` | `P_LOGOUT_REASON_VALUE`
`static int` | `P_MOOD_TEXT_VALUE`
`static int` | `P_MOOD_TIMESTAMP_VALUE`
`static int` | `P_NROF_AUTHED_BUDDIES_VALUE`
`static int` | `P_OFFLINE_CALL_FORWARD_VALUE`
`static int` | `P_OTHER_INSTANCES_COUNT_VALUE`
`static int` | `P_PARTNER_OPTED_OUT_VALUE`
`static int` | `P_PHONE_HOME_VALUE`
`static int` | `P_PHONE_MOBILE_VALUE`
`static int` | `P_PHONE_NUMBERS_POLICY_VALUE`
`static int` | `P_PHONE_OFFICE_VALUE`
`static int` | `P_PROFILE_TIMESTAMP_VALUE`
`static int` | `P_PROVINCE_VALUE`
`static int` | `P_PSTN_CALL_POLICY_VALUE`
`static int` | `P_PWD_CHANGE_STATUS_VALUE`
`static int` | `P_REGISTRATION_TIMESTAMP_VALUE`
`static int` | `P_RICH_MOOD_TEXT_VALUE`
`static int` | `P_SERVICE_PROVIDER_INFO_VALUE`
`static int` | `P_SKYPE_CALL_POLICY_VALUE`
`static int` | `P_SKYPE_NAME_VALUE`
`static int` | `P_SKYPEIN_NUMBERS_VALUE`
`static int` | `P_SKYPEOUT_BALANCE_CURRENCY_VALUE`
`static int` | `P_SKYPEOUT_BALANCE_VALUE`
`static int` | `P_SKYPEOUT_PRECISION_VALUE`
`static int` | `P_STATUS_VALUE`
`static int` | `P_SUGGESTED_SKYPE_NAME_VALUE`
`static int` | `P_TIMEZONE_POLICY_VALUE`
`static int` | `P_TIMEZONE_VALUE`
`static int` | `P_VOICEMAIL_POLICY_VALUE`
`static int` | `P_WEB_PRESENCE_POLICY_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Account.Property` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`EnumConverting` | `getEnumConverter()`
`int` | `getId()`
`int` | `getIdx()`
`int` | `getModuleId()`
`byte[]` | `getRequest()`
`boolean` | `isCached()`
`static Account.Property` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Account.Property[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### P_UNKNOWN

    public static final Account.Property P_UNKNOWN

### P_STATUS

    public static final Account.Property P_STATUS

### P_PWD_CHANGE_STATUS

    public static final Account.Property P_PWD_CHANGE_STATUS

### P_LOGOUT_REASON

    public static final Account.Property P_LOGOUT_REASON

### P_COMMIT_STATUS

    public static final Account.Property P_COMMIT_STATUS

### P_SUGGESTED_SKYPE_NAME

    public static final Account.Property P_SUGGESTED_SKYPE_NAME

### P_SKYPEOUT_BALANCE_CURRENCY

    public static final Account.Property P_SKYPEOUT_BALANCE_CURRENCY

### P_SKYPEOUT_BALANCE

    public static final Account.Property P_SKYPEOUT_BALANCE

### P_SKYPEOUT_PRECISION

    public static final Account.Property P_SKYPEOUT_PRECISION

### P_SKYPEIN_NUMBERS

    public static final Account.Property P_SKYPEIN_NUMBERS

### P_CBL_SYNC_STATUS

    public static final Account.Property P_CBL_SYNC_STATUS

### P_OFFLINE_CALL_FORWARD

    public static final Account.Property P_OFFLINE_CALL_FORWARD

### P_CHAT_POLICY

    public static final Account.Property P_CHAT_POLICY

### P_SKYPE_CALL_POLICY

    public static final Account.Property P_SKYPE_CALL_POLICY

### P_PSTN_CALL_POLICY

    public static final Account.Property P_PSTN_CALL_POLICY

### P_AVATAR_POLICY

    public static final Account.Property P_AVATAR_POLICY

### P_BUDDY_COUNT_POLICY

    public static final Account.Property P_BUDDY_COUNT_POLICY

### P_TIMEZONE_POLICY

    public static final Account.Property P_TIMEZONE_POLICY

### P_WEB_PRESENCE_POLICY

    public static final Account.Property P_WEB_PRESENCE_POLICY

### P_PHONE_NUMBERS_POLICY

    public static final Account.Property P_PHONE_NUMBERS_POLICY

### P_VOICEMAIL_POLICY

    public static final Account.Property P_VOICEMAIL_POLICY

### P_PARTNER_OPTED_OUT

    public static final Account.Property P_PARTNER_OPTED_OUT

### P_SERVICE_PROVIDER_INFO

    public static final Account.Property P_SERVICE_PROVIDER_INFO

### P_REGISTRATION_TIMESTAMP

    public static final Account.Property P_REGISTRATION_TIMESTAMP

### P_OTHER_INSTANCES_COUNT

    public static final Account.Property P_OTHER_INSTANCES_COUNT

### P_SKYPE_NAME

    public static final Account.Property P_SKYPE_NAME

### P_FULL_NAME

    public static final Account.Property P_FULL_NAME

### P_BIRTHDAY

    public static final Account.Property P_BIRTHDAY

### P_GENDER

    public static final Account.Property P_GENDER

### P_LANGUAGES

    public static final Account.Property P_LANGUAGES

### P_COUNTRY

    public static final Account.Property P_COUNTRY

### P_PROVINCE

    public static final Account.Property P_PROVINCE

### P_CITY

    public static final Account.Property P_CITY

### P_PHONE_HOME

    public static final Account.Property P_PHONE_HOME

### P_PHONE_OFFICE

    public static final Account.Property P_PHONE_OFFICE

### P_PHONE_MOBILE

    public static final Account.Property P_PHONE_MOBILE

### P_EMAILS

    public static final Account.Property P_EMAILS

### P_HOMEPAGE

    public static final Account.Property P_HOMEPAGE

### P_ABOUT

    public static final Account.Property P_ABOUT

### P_PROFILE_TIMESTAMP

    public static final Account.Property P_PROFILE_TIMESTAMP

### P_MOOD_TEXT

    public static final Account.Property P_MOOD_TEXT

### P_TIMEZONE

    public static final Account.Property P_TIMEZONE

### P_NROF_AUTHED_BUDDIES

    public static final Account.Property P_NROF_AUTHED_BUDDIES

### P_AVAILABILITY

    public static final Account.Property P_AVAILABILITY

### P_AVATAR_IMAGE

    public static final Account.Property P_AVATAR_IMAGE

### P_AVATAR_TIMESTAMP

    public static final Account.Property P_AVATAR_TIMESTAMP

### P_MOOD_TIMESTAMP

    public static final Account.Property P_MOOD_TIMESTAMP

### P_RICH_MOOD_TEXT

    public static final Account.Property P_RICH_MOOD_TEXT

Field Detail

### P_STATUS_VALUE

    public static final int P_STATUS_VALUE

See Also:
  Constant Field Values

### P_PWD_CHANGE_STATUS_VALUE

    public static final int P_PWD_CHANGE_STATUS_VALUE

See Also:
  Constant Field Values

### P_LOGOUT_REASON_VALUE

    public static final int P_LOGOUT_REASON_VALUE

See Also:
  Constant Field Values

### P_COMMIT_STATUS_VALUE

    public static final int P_COMMIT_STATUS_VALUE

See Also:
  Constant Field Values

### P_SUGGESTED_SKYPE_NAME_VALUE

    public static final int P_SUGGESTED_SKYPE_NAME_VALUE

See Also:
  Constant Field Values

### P_SKYPEOUT_BALANCE_CURRENCY_VALUE

    public static final int P_SKYPEOUT_BALANCE_CURRENCY_VALUE

See Also:
  Constant Field Values

### P_SKYPEOUT_BALANCE_VALUE

    public static final int P_SKYPEOUT_BALANCE_VALUE

See Also:
  Constant Field Values

### P_SKYPEOUT_PRECISION_VALUE

    public static final int P_SKYPEOUT_PRECISION_VALUE

See Also:
  Constant Field Values

### P_SKYPEIN_NUMBERS_VALUE

    public static final int P_SKYPEIN_NUMBERS_VALUE

See Also:
  Constant Field Values

### P_CBL_SYNC_STATUS_VALUE

    public static final int P_CBL_SYNC_STATUS_VALUE

See Also:
  Constant Field Values

### P_OFFLINE_CALL_FORWARD_VALUE

    public static final int P_OFFLINE_CALL_FORWARD_VALUE

See Also:
  Constant Field Values

### P_CHAT_POLICY_VALUE

    public static final int P_CHAT_POLICY_VALUE

See Also:
  Constant Field Values

### P_SKYPE_CALL_POLICY_VALUE

    public static final int P_SKYPE_CALL_POLICY_VALUE

See Also:
  Constant Field Values

### P_PSTN_CALL_POLICY_VALUE

    public static final int P_PSTN_CALL_POLICY_VALUE

See Also:
  Constant Field Values

### P_AVATAR_POLICY_VALUE

    public static final int P_AVATAR_POLICY_VALUE

See Also:
  Constant Field Values

### P_BUDDY_COUNT_POLICY_VALUE

    public static final int P_BUDDY_COUNT_POLICY_VALUE

See Also:
  Constant Field Values

### P_TIMEZONE_POLICY_VALUE

    public static final int P_TIMEZONE_POLICY_VALUE

See Also:
  Constant Field Values

### P_WEB_PRESENCE_POLICY_VALUE

    public static final int P_WEB_PRESENCE_POLICY_VALUE

See Also:
  Constant Field Values

### P_PHONE_NUMBERS_POLICY_VALUE

    public static final int P_PHONE_NUMBERS_POLICY_VALUE

See Also:
  Constant Field Values

### P_VOICEMAIL_POLICY_VALUE

    public static final int P_VOICEMAIL_POLICY_VALUE

See Also:
  Constant Field Values

### P_PARTNER_OPTED_OUT_VALUE

    public static final int P_PARTNER_OPTED_OUT_VALUE

See Also:
  Constant Field Values

### P_SERVICE_PROVIDER_INFO_VALUE

    public static final int P_SERVICE_PROVIDER_INFO_VALUE

See Also:
  Constant Field Values

### P_REGISTRATION_TIMESTAMP_VALUE

    public static final int P_REGISTRATION_TIMESTAMP_VALUE

See Also:
  Constant Field Values

### P_OTHER_INSTANCES_COUNT_VALUE

    public static final int P_OTHER_INSTANCES_COUNT_VALUE

See Also:
  Constant Field Values

### P_SKYPE_NAME_VALUE

    public static final int P_SKYPE_NAME_VALUE

See Also:
  Constant Field Values

### P_FULL_NAME_VALUE

    public static final int P_FULL_NAME_VALUE

See Also:
  Constant Field Values

### P_BIRTHDAY_VALUE

    public static final int P_BIRTHDAY_VALUE

See Also:
  Constant Field Values

### P_GENDER_VALUE

    public static final int P_GENDER_VALUE

See Also:
  Constant Field Values

### P_LANGUAGES_VALUE

    public static final int P_LANGUAGES_VALUE

See Also:
  Constant Field Values

### P_COUNTRY_VALUE

    public static final int P_COUNTRY_VALUE

See Also:
  Constant Field Values

### P_PROVINCE_VALUE

    public static final int P_PROVINCE_VALUE

See Also:
  Constant Field Values

### P_CITY_VALUE

    public static final int P_CITY_VALUE

See Also:
  Constant Field Values

### P_PHONE_HOME_VALUE

    public static final int P_PHONE_HOME_VALUE

See Also:
  Constant Field Values

### P_PHONE_OFFICE_VALUE

    public static final int P_PHONE_OFFICE_VALUE

See Also:
  Constant Field Values

### P_PHONE_MOBILE_VALUE

    public static final int P_PHONE_MOBILE_VALUE

See Also:
  Constant Field Values

### P_EMAILS_VALUE

    public static final int P_EMAILS_VALUE

See Also:
  Constant Field Values

### P_HOMEPAGE_VALUE

    public static final int P_HOMEPAGE_VALUE

See Also:
  Constant Field Values

### P_ABOUT_VALUE

    public static final int P_ABOUT_VALUE

See Also:
  Constant Field Values

### P_PROFILE_TIMESTAMP_VALUE

    public static final int P_PROFILE_TIMESTAMP_VALUE

See Also:
  Constant Field Values

### P_MOOD_TEXT_VALUE

    public static final int P_MOOD_TEXT_VALUE

See Also:
  Constant Field Values

### P_TIMEZONE_VALUE

    public static final int P_TIMEZONE_VALUE

See Also:
  Constant Field Values

### P_NROF_AUTHED_BUDDIES_VALUE

    public static final int P_NROF_AUTHED_BUDDIES_VALUE

See Also:
  Constant Field Values

### P_AVAILABILITY_VALUE

    public static final int P_AVAILABILITY_VALUE

See Also:
  Constant Field Values

### P_AVATAR_IMAGE_VALUE

    public static final int P_AVATAR_IMAGE_VALUE

See Also:
  Constant Field Values

### P_AVATAR_TIMESTAMP_VALUE

    public static final int P_AVATAR_TIMESTAMP_VALUE

See Also:
  Constant Field Values

### P_MOOD_TIMESTAMP_VALUE

    public static final int P_MOOD_TIMESTAMP_VALUE

See Also:
  Constant Field Values

### P_RICH_MOOD_TEXT_VALUE

    public static final int P_RICH_MOOD_TEXT_VALUE

See Also:
  Constant Field Values

### mget_profile_mreq

    public static final Account.Property[] mget_profile_mreq

Method Detail

### values

    public static Account.Property[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Account.Property c : Account.Property.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Account.Property valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### isCached

    public boolean isCached()

  Specified by:
    `isCached` in interface `PropertyEnumConverting`

### getIdx

    public int getIdx()

  Specified by:
    `getIdx` in interface `PropertyEnumConverting`

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getRequest

    public byte[] getRequest()

  Specified by:
    `getRequest` in interface `PropertyEnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### getModuleId

    public int getModuleId()

  Specified by:
    `getModuleId` in interface `PropertyEnumConverting`

### getEnumConverter

    public EnumConverting getEnumConverter()

  Specified by:
    `getEnumConverter` in interface `PropertyEnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Account.Property get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.